#include "includes/template-basic.h"

uns8 data;

void openUART_9600();
void SendByteUART(uns8);

void APPLICATION(void)
{ 

  do { GIE = 0; } while (GIE);            // vypne preruseni      
	
	clrwdt();			
	disableSPI();	
	openUART_9600();
	
	while (1)			// hlavni smycka
	{

		clrwdt();

		if 	((readFromRAM(0x0C)&0x20) == 0x20)	// kdy bylo neco prijato na UART
		{
			data = RCREG;				      // pete znak z UARTu
			SendByteUART(data+1); 			// zopakuje znak + posune o +1
		}
	}
}


/***************************************************************************************/

void openUART_9600()	
{
	TRISB.2 = 1;		// RX - vstup
	TRISB.5 = 0;		// TX - vstput
	SPBRG = 51;			// 9600 baud @ 8MHz
	TXSTA = 0b00100100; // povol vysln, 8 bit 
	RCSTA = 0b10010000; // povol pjem, 8 bit 
}

void SendByteUART(uns8 data) 
{
	TXREG = data;
	RP0 = 0;
	RP1 = 0;
	while ((readFromRAM(0x0C)&0x10) == 0);
}
